using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class TutorialPanel6 : TutorialPanel
{
    protected override void OnEnable()
    {
        base.OnEnable();

        pressAnyKey.gameObject.SetActive(false);
        StartCoroutine(ActivatePressAnyKeyAfterSeconds());
    }

    private IEnumerator ActivatePressAnyKeyAfterSeconds()
    {
        yield return new WaitForSeconds(1);
        pressAnyKey.gameObject.SetActive(true);
        ShowPressAnyKey();
    }

    public override void Dismiss()
    {
        GameFlow.getInstance().CurrentState = GameMode.Spawning;
        Destroy(gameObject);
    }
}
